<!-- BEGIN COPYRIGHT BLOCK
 This Program is free software; you can redistribute it and/or modify it under
 the terms of the GNU General Public License as published by the Free Software
 Foundation; version 2 of the License.

 This Program is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

 You should have received a copy of the GNU General Public License along with
 this Program; if not, write to the Free Software Foundation, Inc., 59 Temple
 Place, Suite 330, Boston, MA 02111-1307 USA.

 
 Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
 Copyright (C) 2005 Red Hat, Inc.
 All rights reserved.
  END COPYRIGHT BLOCK -->
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN"
    "http://www.w3.org/TR/html4/strict.dtd">
<html>
<!-- HEAD -->
<title>Netscape Directory Serverインタフェースについて</title>
</head>

<body>

<h1>Directory Serverインタフェースについて</h1>

<p>Netscape Directory Serverは、企業全体のユーザと情報のディレクトリの保存、検索、および管理をするために設計された信頼性が高く拡張可能なサーバーです。Directory Serverを使用すると、企業の情報処理部門は、情報を一箇所から制御して管理できると同時に、企業のユーザは複数のネットワーク上の場所からこの情報を取り出すことができます。</p>

<p>Directory Serverにより、企業のユーザ情報へのインタフェースが得られます。このインタフェースから以下のことが実行できます。</p>

<ul>
<P>
    <li><a href="search.htm#search">ユーザとリソースに関する情報についてディレクトリを検索できます。</a> 例えば、社員の電子メール アドレスや電話番号が検索できます。 <a href="search.htm">「ディレクトリ ツリーの検索」</a>にディレクトリの検索についての詳細が記載されています。</li>
<P>
    <li><a href="add.htm#adding">ディレクトリに新規エントリを作成できます。</a>例えば、新入社員の電子メール アドレスや電話番号などその社員に関する情報を追加できます。通常、この機能は、Directory Serverに適切に認証したユーザと、ディレクトリ管理者により書込み許可を付与されたユーザ専用に予約されています。ディレクトリに新規ユーザ、グループ、組織単位および組織を追加することに関する詳細は、<a href="add.htm">「エントリの追加」
</a>をご覧ください。</li>


<P>
    <li><a href="mod.htm#editing">ディレクトリの既存エントリを変更できます。</a>例えば、適切なパーミッションがあれば、エントリ属性に対する既存値の変更、エントリ全体の削除、エントリ名の変更、またはエントリ パスワードの変更などを実行できます。通常、この機能は、ディレクトリ管理者から書き込み権を与えられ、Directory Serverに適切に認証したユーザ専用となっています。ユーザ、グループ、組織単位、および組織に関する情報更新方法については、<a href="mod.htm">「エントリの編集」</a>をご覧ください。</li>
</P>
    <li><a href="auth.htm#authenticating">Directory Serverに認証できます。</a>Directory Serverにアクセスするか書き込むための認証必要条件がディレクトリ管理者によって定められている場合は、ユーザ名とパスワードの入力が必要な場合もあります。正確な認証必要条件は、サイトによって異なりますが、通常、ディレクトリにおけるエントリの追加、変更、または削除の際に限り、認証が必要となります。Directory Serverへの認証についての詳細は、<a
        href="auth.htm">「ディレクトリへの認証」</a>をご覧ください。</li>
</ul>

<p> </p>
</body>
</html>


